First review of the Technical Collaboration Guidance by Foundation Product teams and most active technical volunteers
Open, NormalPublic

Description

The bulk of the text for the Technical Collaboration Guidance has been written after many one-on-one and small group discussions with community liaisons and product managers. It now needs broader review by product and community.

Methodology:

  • Email to Wikimedia Annoucements
  • Email to product and engineering mailing lists
  • Other methods tbd

Expected impact / deliverables

  • Call for review of the Technical Collaboration Guidance materials available as of October 1, inviting all Foundation Product teams and at least 50 volunteers very active in product development discussions relating to a variety Wikimedia projects and software products.
  • Discussion and integration of the feedback received.
  • T152515: Pilot the TCG with a product/product team/community liaison

Related Objects

Keegan created this task.Sep 2 2016, 6:24 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 2 2016, 6:24 PM
Qgil renamed this task from Review the Technical Collaboration Guideline to First review of the Technical Collaboration Guideline by Foundation Product teams and most active technical volunteers.Sep 19 2016, 9:28 AM
Qgil added a project: Goal.
Qgil updated the task description. (Show Details)
Qgil triaged this task as Normal priority.Oct 4 2016, 2:24 PM

Assuming Normal priority.

Keegan added a comment.Nov 2 2016, 8:01 PM

Notifications sent to:

  • Wikimedia-l
  • Wikitech-l
  • WMF all-staff
  • WMF product
  • Village pumps that are technical in nature

Product management is currently scheduling a meeting to kickstart a review with me on their end.

I've sent an invitation for review to the Stewards' mailing list as well, since they are often - if not officially, in commentary - involved directly in WMF/community product discussions.

This review and re-drafting should be completed by the first half of this quarter (Q3FY16/17, so second week of February, or about five weeks from now), following discussions that are to be had at the 2017 MediaWiki Developer summit and any additional last minute feedback on the talk page.

Qgil renamed this task from First review of the Technical Collaboration Guideline by Foundation Product teams and most active technical volunteers to First review of the Technical Collaboration Guidance by Foundation Product teams and most active technical volunteers.Jan 24 2017, 1:42 PM
Qgil updated the task description. (Show Details)
Keegan closed this task as Resolved.Feb 28 2017, 5:50 PM

Finished re-drafting as a whole. The document lives on a wiki, so it's living and can still be edited as needed.

Keegan reopened this task as Open.Mar 2 2017, 6:50 PM

Product management at the WMF still needs to give a sign-off, but that part is up to the department heads to get together and work it out.